----------------------------------------------------------------------------
------------ SET - GET Parameters from right-mouse Menu in AddonsMenu
----------------------------------------------------------------------------
local function GetParams()
	--exObj( "item", item ) -- explore object
	local pars = {}
	pars.mfPrior = mainForm and mainForm:GetPriority()
	return pars
end

--- function for receive a Parameters from AddonsMenu
local function SetParam ( item )
	--exObj( "item", item ) -- explore object
	local val = item.value
	if item.name == "mfPrior" then
		val = tonumber( val )
		if val then mainForm:SetPriority( val ) end
	end
	set_PS( item.name, val )
	toConfig()
end
----------------------------------------------------------------------------
----------------------------------------------------------------------------

function getAM_log()
	return false  ---- false or true:: log events|handlers in chat or not
end

function setAMSupport()
	if getAM_log() then LogToChat("setAMSupport") end

	local DESCR = {
--[[ DESCRIBE Your addon here.
	parameters:
	abbrev =  ---  abbreviation for fast button,
	sender = common.GetAddonName() -- addon name - auto inserted
	desc - addon description
	commands {  --- menuItem for context menu
		{name = ..., label =...}, 
		{name = ..., label =...},
		...
		}
	on_click_hide = true, -- hide AddonsMenu when to show me
]]
		abbrev = "ShC",
		desc = L("Control of the Ship: the readiness of devices, HP of devices, astral mini-map, etc."), --.."   REACTIONS: Left_Click, Right_Click",
		settings = {
			{ name = "mfPrior", label = L("'mainForm' Priority"), type = "_edl" },
			},
--[[		on_click_hide = true, -- hide AddonsMenu when to show me
		commands = { 
			{ name = "cmd1", label = "Command 1", },
			{ name = "cmd2", label = "Command 2", },
			--{},
			}
]]
		}

	---     
	local vers = AT_Vers()
	if vers.lib < 2 or vers.menu < 2 or vers.addons < 3 then 
		local w = mainForm:GetChildUnchecked("ErrorText", false)
		w:SetVal("value",ToWS(common.GetAddonName().." - "..L("ERROR: Install latest version of 'AddonsTools' addon")))
		w:Show(true)
		return nil, DESCR
	end

	return { 
-----------------------------------------------------------
------------------------------------------------- EDIT HERE:
-----------------------------------------------------------
	--- Insert here Your own functions
	-- initialize this addon when confirmed start:
		ThisAddonInit = mainInit,

	-- save a settings if need before unload:
		SaveToConfig = toConfig,

	-- if this addon unload any others addons then load they:
		LoadAllUnloadedAddons = loadUnloadedAddons,

	-- when clicked on a "Addons Menu" item - to show the mainForm
	---  pars = { target = addon_name, wBase = reaction_widget } : 
		AOBClick = mainMenuToggle,

	-- when right clicked on a "Addons Menu" item - open context menu with commands (see DESC)
	---  pars = { target = addon_name, command = command_name, } : 
		AOCommand = AOCommand,

	-- when right clicked on a "Addons Menu" item - open context menu with Settings (see DESC)
	---  pars = { target = addon_name, menuItem = menuItem, } : 
		GetParams = GetParams,
	-- when right clicked on a "Addons Menu" item - open context menu with Settings (see DESC)
	---  pars = { target = addon_name, menuItem = menuItem, } : 
		SetParam = SetParam,

		--setPS = set_PS, getPS = get_PS,
	-- when right mouse clicked on a "Addons Menu" item:
	---  pars = { target = addon_name, wBase = reaction_widget } : 
		AOBRightClick = nil, --function() LogToChat(common.GetAddonName().." Right Click") end,

	-- when double clicked on a "Addons Menu" item:
	---  pars = { target = addon_name, wBase = reaction_widget } : 
		AOBDoubleClick = nil, --function() LogToChat(common.GetAddonName().." Double Click") end,
	},
	DESCR
end

