--------------------------------------------------------------------------------
-- GLOBALS    config.txt

-------------------------
Global("ADDONname", common.GetAddonName() )

Global( "ON", "ON" )
Global( "OFF", "OFF" )

Global( "names", {
	[ON] = "ON",
	[OFF] = "OFF",
    }  )

Global( "PS", { --- parameters
	locz = "rus",
--	AUTOTARGETlist = {  {la = SORT_ASC}, {ta = SORT_ASC}, {tb = SORT_ASC}, {em = SORT_ASC}, {tm = SORT_ASC} },
	prior = 30000,
	overHeat = 70,
	DistMobs1 = 1300,
	ShipPlatePlace = { sizeX = 230, alignX = 0, sizeY = 270, alignY = 0},
	TextSize = { sizeX = 40, sizeY = 30 },
	OverMapShow = ON,
	OverMapPlace = { posX = 1200, posY = 100},
	RadarScale = 1,
	RadarLg = 0.7,
	ControlSlots = {
--[[
side:type:slot:
['0:0:0'] = { place = {} }, --  
['0:0:1'] = { place = {} }, --  
['0:7:1'] = { place = {} }, --   
['0:7:1'] = { place = {} }, -- 
['0:8:1'] = { place = {} }, --    
]]
--[[
--China version:
['0:0:1'] = -- Treasure Room
['0:0:1'] = -- Wheel
['0:0:1'] = -- Motor
['0:0:1'] = -- Turbine
['0:0:1'] = -- Clinic
['0:0:0'] = -- Star domain trap
]]
	--['2:12:1'] = { place = { alignY = 0, posY = -0, alignX = 2, posX = 0 }, icon="-" }, --   "" IV
	--['3:12:1'] = { place = { alignY = 1, highPosY = -5, alignX = 2, posX = 0 }, icon="-" }, --   "" III

	--['4:12:1'] = { place = { alignY = 1, highPosY = 60, alignX = 0, posX = -5 }, icon="-" }, --   "" III
	--['4:12:2'] = { place = { alignY = 0, posY = 60, alignX = 0, posX = -5 }, icon="-" }, --   "" III
	--['5:12:1'] = { place = { alignY = 1, highPosY = 60, alignX = 1, highPosX = -8 }, icon="-" }, --   "" IV
	--['5:12:2'] = { place = { alignY = 0, posY = 60, alignX = 1, highPosX = -8 }, icon="-" }, --   "" IV

	['2:8:1'] = { place = { alignY = 0, posY = -0, alignX = 2, posX = 0 }, icon="-" }, -- shield 
	['3:8:1'] = { place = { alignY = 1, highPosY = -5, alignX = 2, posX = 0 }, icon="-" }, -- shield 

	['4:8:1'] = { place = { alignY = 1, highPosY = 60, alignX = 0, posX = -5 }, icon="-" }, -- shield 
	['4:8:2'] = { place = { alignY = 0, posY = 60, alignX = 0, posX = -5 }, icon="-" }, -- shield 
	['5:8:1'] = { place = { alignY = 1, highPosY = 60, alignX = 1, highPosX = -8 }, icon="-" }, -- shield 
	['5:8:2'] = { place = { alignY = 0, posY = 60, alignX = 1, highPosX = -8 }, icon="-" }, -- shield 


	--------------- BEAMS - artillery
	["2:6:1"] = { place = { alignY = 0, posY = 25, alignX = 2, posX = -20, sizeY = 60 }, icon="Beam", iconPlace = { sizeX=20, sizeY=nil} }, -- artillery
	["2:6:2"] = { place = { alignY = 0, posY = 25, alignX = 2, posX = 20, sizeY = 60 }, icon="Beam", iconPlace = { sizeX=20, sizeY=nil} }, -- artillery

	--['0:5:1'] = { place = { alignY = 0, posY = 20, alignX = 2, posX = 0 }, actions = 7 }, --   "" III
	['0:9:1'] = { place = { alignY = 0, posY = 20, alignX = 2, posX = 0 }, actions = 7 }, -- observation instrument - visor

	--- CANNON left
	['4:5:1'] = { place = { alignY = 0, posY = 65+10, alignX = 0, posX = 25, sizeX=35 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:2'] = { place = { alignY = 0, posY = 94+10, alignX = 0, posX = 20 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:3'] = { place = { alignY = 0, posY = 123+10, alignX = 0, posX = 20 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:4'] = { place = { alignY = 0, posY = 152+10, alignX = 0, posX = 26 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:5'] = { place = { alignY = 0, posY = 70+10, alignX = 0, posX = 55 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:6'] = { place = { alignY = 0, posY = 95+10, alignX = 0, posX = 47 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:7'] = { place = { alignY = 0, posY = 115+10, alignX = 0, posX = 45 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['4:5:8'] = { place = { alignY = 0, posY = 140+10, alignX = 0, posX = 50 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon

	['4:5:9'] = { place = { alignY = 0, posY = 50, alignX = 0, posX = 30 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } },  -- cannon

	['4:5:10'] = { place = { alignY = 1, highPosY = 10, alignX = 0, posX = 27 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } },  -- cannon

	--- CANNON right
	['5:5:1'] = { place = { alignY = 0, posY = 65+10, alignX = 1, highPosX = 25 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:2'] = { place = { alignY = 0, posY = 94+10, alignX = 1, highPosX = 20 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:3'] = { place = { alignY = 0, posY = 123+10, alignX = 1, highPosX = 20 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:4'] = { place = { alignY = 0, posY = 152+10, alignX = 1, highPosX = 25 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:5'] = { place = { alignY = 0, posY = 70+10, alignX = 1, highPosX = 52 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:6'] = { place = { alignY = 0, posY = 95+10, alignX = 1, highPosX = 47 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:7'] = { place = { alignY = 0, posY = 115+10, alignX = 1, highPosX = 45 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon
	['5:5:8'] = { place = { alignY = 0, posY = 140+10, alignX = 1, highPosX = 50 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, -- cannon

	['5:5:9'] = { place = { alignY = 0, posY = 50, alignX = 1, highPosX = 30 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } },  -- cannon

	['5:5:10'] = { place = { alignY = 1, highPosY = 10, alignX = 1, highPosX = 25 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } },  -- cannon

	-------------------------
	--['0:9:1'] = { place = { alignY = 2, posY = -30, alignX = 2, posX = 0 } }, -- - IV
	--['0:9:2'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = 20 } }, -- -   III
	--['0::3'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = -20 } }, -- - IV
	['0:10:1'] = { place = { alignY = 2, posY = -30, alignX = 2, posX = 0 } }, -- technicians Goblin
	['0:10:2'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = 20 } }, -- technicians Goblin
	['0:10:3'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = -20 } }, -- technicians Goblin

	--['0:6:1'] = { place = { alignY = 1, highPosY = 70, alignX = 2, posX = 0 }, actions = 3, icon="-" }, --   "" IV
	['0:'..USDEV_REACTOR..':1'] = { place = { alignY = 1, highPosY = 70, alignX = 2, posX = 0 }, actions = 3, icon="-" }, -- reactor

	--['3:10:1'] = { noActions=true, place = { alignY = 1, highPosY = 40, alignX = 2, posX = 45, sizeX=40, sizeY=40 }, icon="Helm" }, --    "" IV
	['3:4:1'] = { noActions=true, place = { alignY = 1, highPosY = 40, alignX = 2, posX = 45, sizeX=40, sizeY=40 }, icon="Helm" }, -- wheel drive

	--['3:3:1'] = { place = { alignY = 1, highPosY = 40, alignX = 2, posX = 0, sizeX=nil, sizeY=nil }, icon="Drive", rotate=0, iconPlace = { sizeX=45, sizeY=40, }}, --   "" IV
	['3:'..USDEV_ENGINE_HORIZONTAL..':1'] = { place = { alignY = 1, highPosY = 40, alignX = 2, posX = 0, sizeX=nil, sizeY=nil }, icon="Drive", rotate=0, iconPlace = { sizeX=45, sizeY=40, }}, -- motor

	--['3:4:1'] = { noActions=true, place = { alignY = 1, highPosY = 45, alignX = 2, posX = -45 }, icon="VDrive", rotate=180 }, --    "" III
	['3:'..USDEV_ENGINE_VERTICAL..':1'] = { noActions=true, place = { alignY = 1, highPosY = 45, alignX = 2, posX = -45 }, icon="VDrive", rotate=180 }, -- turbine  - vertical motor

	--['0:11:1'] = { place = { alignY = 1, highPosY = 15, alignX = 2, posX = 0 }, onlyActions = { 5 }  }, --   "" IV
	['0:19:1'] = { place = { alignY = 1, highPosY = 15, alignX = 2, posX = 0 }, onlyActions = { 5 }  }, -- detector - navigator

	},
	ShieldsPlace = {
	['2:8:1'] = { pan = { alignY = 0, posY = 0, alignX = 2, sizeX = 120, sizeY = 20 }, sld = { alignX = 2, alignY = 3}, var="sizeX" }, -- shield
	['3:8:1'] = { pan = { alignY = 1, posY = 0, alignX = 2, sizeX = 100, sizeY = 20 }, sld = { alignX = 2, alignY = 3}, var="sizeX" }, -- shield

	['4:8:1'] = { pan = { alignY = 1, highPosY = 40, alignX = 0, posX = 0, sizeY = 80, sizeX = 20 }, sld = { alignX = 3, alignY = 2 }, var="sizeY" }, -- shield
	['4:8:2'] = { pan = { alignY = 0, posY = 40, alignX = 0, posX = 0, sizeY = 80, sizeX = 20 }, sld = { alignX = 3, alignY = 2 }, var="sizeY" }, -- shield
	['5:8:1'] = { pan = { alignY = 1, highPosY = 40, alignX = 1, highPosX = 0, sizeY = 80, sizeX = 20 }, sld = { alignX = 3, alignY = 2 }, var="sizeY" }, -- shield
	['5:8:2'] = { pan = { alignY = 0, posY = 40, alignX = 1, highPosX = 0, sizeY = 80, sizeX = 20 }, sld = { alignX = 3, alignY = 2 }, var="sizeY" }, -- shield
	},
	ShowDamage = {
	[SHIP_SIDE_FRONT] = {},
	[SHIP_SIDE_REAR] = {},
	[SHIP_SIDE_LEFT] = {},
	[SHIP_SIDE_RIGHT] = {},
	},
 } )
