--------------------------------------------------------------------------------
-- GLOBALS    config.txt

-------------------------
Global("ADDONname", common.GetAddonName() )

Global( "ON", "ON" )
Global( "OFF", "OFF" )

Global( "names", {
	[ON] = "ON",
	[OFF] = "OFF",
    }  )

Global( "PS", { --- parameters
	locz = "rus",
	prior = 30000,
	overHeat = 70,
	DistMobs1 = 1200,
	ShipPlatePlace = { sizeX = 230-40, alignX = 0, sizeY = 270, alignY = 0},
	TextSize = { sizeX = 40, sizeY = 30 },
	OverMapShow = ON,
	OverMapPlace = { posX = 1200, posY = 100},
	RadarScale = 1,
	RadarLg = 0.7,
	RadarEdge = 70,
	CannonAim = "sysCannonAim2", --- "system" "OrkAura01Glow"  "CannonAim"  "CannonAim2" "sysCannonAim2"
	ControlSlots = {
	['2:'..USDEV_SHIELD..':1'] = { place = { alignY = 0, posY = -0, alignX = 2, posX = 0 }, icon="-" }, -- shield 
	['3:'..USDEV_SHIELD..':1'] = { place = { alignY = 1, highPosY = -5, alignX = 2, posX = 0 }, icon="-" }, -- shield 

	['4:'..USDEV_SHIELD..':1'] = { place = { alignY = 1, highPosY = 60, alignX = 0, posX = -5 }, icon="-" }, -- shield 
	['4:'..USDEV_SHIELD..':2'] = { place = { alignY = 0, posY = 60, alignX = 0, posX = -5 }, icon="-" }, -- shield 
	['5:'..USDEV_SHIELD..':1'] = { place = { alignY = 1, highPosY = 60, alignX = 1, highPosX = -8 }, icon="-" }, -- shield 
	['5:'..USDEV_SHIELD..':2'] = { place = { alignY = 0, posY = 60, alignX = 1, highPosX = -8 }, icon="-" }, -- shield 
	
	
	--------------- BEAMS - artillery
	['2:'..USDEV_BEAM_CANNON..':1'] = { place = { alignY = 0, posY = 10, alignX = 2, posX = -30, sizeY = 60 }, icon="Beam", iconPlace = { sizeX=20, sizeY=nil} }, --   "" IV
	['2:'..USDEV_BEAM_CANNON..':2'] = { place = { alignY = 0, posY = 10, alignX = 2, posX = 30, sizeY = 60 }, icon="Beam", iconPlace = { sizeX=20, sizeY=nil} }, --   "" III

	['0:5:1'] = { place = { alignY = 0, posY = 23, alignX = 2, posX = 1 }, actions = 7 }, --   "" III
	['0:0:1'] = { place = { alignX = 0, posY = 60, alignX = 2, posX = 1 }, actions = 1 },  --   
	--['0:9:1'] = { place = { alignY = 0, posY = 20, alignX = 2, posX = 0 }, actions = 7 }, -- observation instrument - visor

	--- CANNON left
	['4:'..USDEV_CANNON..':1'] = { place = { alignY = 0, posY = 65+10, alignX = 0, posX = 25, sizeX=35 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['4:'..USDEV_CANNON..':2'] = { place = { alignY = 0, posY = 94+10, alignX = 0, posX = 20 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['4:'..USDEV_CANNON..':3'] = { place = { alignY = 0, posY = 123+10, alignX = 0, posX = 20 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    "" IV
	['4:'..USDEV_CANNON..':4'] = { place = { alignY = 0, posY = 152+10, alignX = 0, posX = 26 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['4:'..USDEV_CANNON..':5'] = { place = { alignY = 0, posY = 70+10, alignX = 0, posX = 55 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['4:'..USDEV_CANNON..':6'] = { place = { alignY = 0, posY = 95+10, alignX = 0, posX = 47 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['4:'..USDEV_CANNON..':7'] = { place = { alignY = 0, posY = 115+10, alignX = 0, posX = 45 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    "" IV
	['4:'..USDEV_CANNON..':8'] = { place = { alignY = 0, posY = 140+10, alignX = 0, posX = 50 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV

	['4:'..USDEV_CANNON..':9'] = { place = { alignY = 0, posY = 50, alignX = 0, posX = 27 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } },  --   

	['4:'..USDEV_CANNON..':10'] = { place = { alignY = 1, highPosY = 22, alignX = 0, posX = 27 }, icon="LCannon", iconPlace = { sizeX=nil, sizeY=20, } },  --   

	--- CANNON right
	['5:'..USDEV_CANNON..':1'] = { place = { alignY = 0, posY = 65+10, alignX = 1, highPosX = 23 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['5:'..USDEV_CANNON..':2'] = { place = { alignY = 0, posY = 94+10, alignX = 1, highPosX = 18 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['5:'..USDEV_CANNON..':3'] = { place = { alignY = 0, posY = 123+10, alignX = 1, highPosX = 18 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    "" IV
	['5:'..USDEV_CANNON..':4'] = { place = { alignY = 0, posY = 152+10, alignX = 1, highPosX = 23 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['5:'..USDEV_CANNON..':5'] = { place = { alignY = 0, posY = 70+10, alignX = 1, highPosX = 50 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['5:'..USDEV_CANNON..':6'] = { place = { alignY = 0, posY = 95+10, alignX = 1, highPosX = 45 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV
	['5:'..USDEV_CANNON..':7'] = { place = { alignY = 0, posY = 115+10, alignX = 1, highPosX = 43 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    "" IV
	['5:'..USDEV_CANNON..':8'] = { place = { alignY = 0, posY = 140+10, alignX = 1, highPosX = 49 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } }, --    IV

	['5:'..USDEV_CANNON..':9'] = { place = { alignY = 0, posY = 50, alignX = 1, highPosX = 25 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } },  --   

	['5:'..USDEV_CANNON..':10'] = { place = { alignY = 1, highPosY = 22, alignX = 1, highPosX = 25 }, icon="RCannon", iconPlace = { sizeX=nil, sizeY=20, } },  --   
	-------------------------
	['0:'..USDEV_REPAIR..':1'] = { place = { alignY = 2, posY = -30, alignX = 2, posX = 1 } }, -- - IV
	['0:'..USDEV_REPAIR..':2'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = 10 } }, -- -   III
	['0:'..USDEV_REPAIR..':3'] = { place = { alignY = 2, posY = -15, alignX = 2, posX = -10 } }, -- - IV

	['0:'..USDEV_REACTOR..':1'] = { place = { alignY = 1, highPosY = 75, alignX = 2, posX = 0 }, actions = 3, icon="-" }, --   "" IV

	['3:'..USDEV_RUDDER..':1'] = { noActions=true, place = { alignY = 1, highPosY = 40, alignX = 2, posX = 45, sizeX=40, sizeY=40 }, icon="Helm" }, --    "" IV
	['3:'..USDEV_ENGINE_HORIZONTAL..':1'] = { place = { alignY = 1, highPosY = 40, alignX = 2, posX = 0, sizeX=nil, sizeY=nil }, icon="Drive", rotate=0, iconPlace = { sizeX=45, sizeY=40, }}, --   "" IV
	['3:'..USDEV_ENGINE_VERTICAL..':1'] = { noActions=true, place = { alignY = 1, highPosY = 45, alignX = 2, posX = -45 }, icon="VDrive", rotate=180 }, --    "" III

	['0:11:1'] = { place = { alignY = 1, highPosY = 15, alignX = 2, posX = 0 }, onlyActions = { 5 }  }, --   "" IV
	},
	ShieldsPlace = {
	['2:'..USDEV_SHIELD..':1'] = { pan = { alignY = 0, posY = 0, alignX = 2, sizeX = 140, sizeY = 20 }, sld = { alignX = 3, alignY = 1}, var="sizeY" }, --   "" IV
	['3:'..USDEV_SHIELD..':1'] = { pan = { alignY = 1, posY = 0, alignX = 2, sizeX = 140, sizeY = 20 }, sld = { alignX = 3, alignY = 0}, var="sizeY" }, --   "" III

	['4:'..USDEV_SHIELD..':1'] = { pan = { alignY = 1, highPosY = 40, alignX = 0, posX = 0, sizeY = 90, sizeX = 20 }, sld = { alignX = 1, alignY = 3 }, var="sizeX" }, --   "" III
	['4:'..USDEV_SHIELD..':2'] = { pan = { alignY = 0, posY = 40, alignX = 0, posX = 0, sizeY = 90, sizeX = 20 }, sld = { alignX = 1, alignY = 3 }, var="sizeX" }, --   "" III
	['5:'..USDEV_SHIELD..':1'] = { pan = { alignY = 1, highPosY = 40, alignX = 1, highPosX = 0, sizeY = 90, sizeX = 20 }, sld = { alignX = 0, alignY = 3 }, var="sizeX" }, --   "" IV
	['5:'..USDEV_SHIELD..':2'] = { pan = { alignY = 0, posY = 40, alignX = 1, highPosX = 0, sizeY = 90, sizeX = 20 }, sld = { alignX = 0, alignY = 3 }, var="sizeX" }, --   "" IV
	},
	ShowDamage = {
	[SHIP_SIDE_FRONT] = {},
	[SHIP_SIDE_REAR] = {},
	[SHIP_SIDE_LEFT] = {},
	[SHIP_SIDE_RIGHT] = {},
	},
 } )
